#!/bin/bash
# Uninstall script to remove scl010 driver bundle(s) in mac os.

echo "Uninstalling..."


bundle_path1=/usr/local/pcsc/drivers
bundle_path2=/usr/libexec/SmartCardServices/drivers
bundle_path3=/usr/local/lib/pcsc/drivers
bundle_path4=/usr/local/libexec/SmartCardServices/drivers



# Uninstallation of the driver bundles(s)
for bundle_path in \
	$bundle_path1 \
	$bundle_path2 \
	$bundle_path3 \
	$bundle_path4
do
	if [ -d $bundle_path ]
	then
		for bundle in `ls -d $bundle_path/SCLGENERIC*.bundle 2> /dev/null`
		do
			echo "Removing $bundle"
			rm -rf $bundle
		done
	fi
done

# Remove the receipt
rm -rf /Library/Receipts/SCL010GENERIC*.pkg
rm -rf /private/var/db/receipts/com.scmmicro.drivers.sclgeneric*

echo "Uninstallation completed."

